*===============================================================================*
*																				*
*			THIS DO FILE PRODUCES FIGURES 3, 4, 6, 8, IN THE MAIN TEXT			*
* 			AS WELL AS APPENDIX FIGURE A3 IN										*
* 			LONDONO-VELEZ, RODRIGUEZ AND SANCHEZ 								*
*			"UPSTREAM AND DOWNSTREAM IMPACTS OF COLLEGE MERIT-BASED 			*
* 			FINANCIAL AID FOR LOW-INCOME STUDENTS: SER PILO PAGA				*
* 			IN COLOMBIA", AMERICAN ECONOMIC JOURNAL: ECONOMIC POLICY			*
*																				*
*			LAST MODIFIED: 2019-05-29											*
*																				*
*===============================================================================*

	* Globals:
	global res_saber11 "eligible_sisben==1"
	global res_sisben "eligible_saber11==1"
	global w_saber11 "50"
	global w_sisben "20"
	global b_saber11 "2"
	global b_sisben "1"
	
	glo lab_saber11 "xline(0, lcolor(red) lpattern(dash)) xlab(-40 -20 0 20 40) ylab(0 0.2 0.4 0.6 0.8 1) xtitle(Distance to SABER 11 cutoff) caption(Sample restricted to SISBEN-eligible individuals., size(small)) legend(off) graphregion(color(white)) ytitle("")"
	glo lab_sisben "xline(0, lcolor(red) lpattern(dash)) xlab(-20 -10 0 10 20) ylab(0 0.2 0.4 0.6 0.8 1) xtitle(Distance to SISBEN cutoff) caption(Sample restricted to SABER 11-eligible individuals., size(small)) legend(off) graphregion(color(white)) ytitle("")"
	
	glo ex_beneficiary_spp_saber11 "Fig3A"
	glo ex_beneficiary_spp_sisben "Fig3B"
	glo ex_spadies_any_saber11 "Fig4A"
	glo ex_spadies_any_sisben "Fig4B"
	glo ex_spadies_hq_saber11 "Fig6A"
	glo ex_spadies_hq_sisben "Fig6B"
	glo ex_spadies_lq_saber11 "Fig6C"
	glo ex_spadies_lq_sisben "Fig6D"
	glo ex_spadies_hq_pri_saber11 "Fig8A"
	glo ex_spadies_hq_pub_saber11 "Fig8B"
	glo ex_spadies_lq_pri_saber11 "Fig8C"
	glo ex_spadies_lq_pub_saber11 "Fig8D"
	glo ex_spadies_hq_pri_sisben "FigA3A"
	glo ex_spadies_hq_pub_sisben "FigA3B"
	glo ex_spadies_lq_pri_sisben "FigA3C"
	glo ex_spadies_lq_pub_sisben "FigA3D"
	
	use "${datadir}/data_RD.dta", clear
	keep if icfes_per==20142
	
	foreach r in saber11 sisben{
	cap drop mean_include 
	egen cut_`r'=cut(running_`r'), at(-${w_`r'}(${b_`r'})${w_`r'})
	egen mean_include_`r' = tag(cut_`r')  if ${res_`r'}
	foreach o in beneficiary_spp spadies_any spadies_hq spadies_lq ///
		spadies_hq_pri spadies_lq_pri spadies_hq_pub spadies_lq_pub{
		cap drop bin
		bysort cut_`r': egen bin =  mean(`o') if ${res_`r'}
		twoway 	(lfitci `o' running_`r' if abs(running_`r')<${w_`r'} & ${res_`r'} & running_`r' < 0, sort ) ///
				(lfitci `o' running_`r' if abs(running_`r')<${w_`r'} & ${res_`r'} & running_`r' >= 0, sort ) ///
				 (scatter bin cut_`r' if mean_include_`r'==1, mc(black) msize(small)) ///
				, ${lab_`r'}
			graph export ${ex_`o'_`r'}.pdf, replace			
		}
		}
		
		
