*===============================================================================*
*																				*
*			THIS DO FILE PRODUCES FIGURE 5 IN THE MAIN TEXT	IN					*
* 			LONDONO-VELEZ, RODRIGUEZ AND SANCHEZ 								*
*			"UPSTREAM AND DOWNSTREAM IMPACTS OF COLLEGE MERIT-BASED 			*
* 			FINANCIAL AID FOR LOW-INCOME STUDENTS: SER PILO PAGA				*
* 			IN COLOMBIA", AMERICAN ECONOMIC JOURNAL: ECONOMIC POLICY			*
*																				*
*			LAST MODIFIED: 2019-05-29											*
*																				*
*===============================================================================*
	
	use "${datadir}/data_RD.dta", clear
	
	keep if icfes_age>=14 & icfes_age<=23 
	keep if (icfes_per==20132 | icfes_per==20142)
	gen one=1
	gen ao=icfes_per
	
	keep if eligible_saber11==1
	collapse (sum) tot=one  spadies_any spadies_hq (first) ao, by(icfes_stratum icfes_per)
	gen rate=spadies_any/tot
	gen rate_hq=spadies_hq/tot
	drop if icfes_stratum==.
	gen stratum=.
	replace stratum=icfes_stratum-0.2 if ao==20132
	replace stratum=icfes_stratum+0.2 if ao==20142

	twoway 	(bar rate stratum if ao==20132, fcolor(white) lcolor(black) lwidth(medium) barwidth(0.4)) ///
			(bar rate stratum if ao==20142, color(black) barwidth(0.4)) ///
			, graphregion(color(white)) xtitle(Socioeconomic stratum) ysc(range(0 0.65)) ylab(0 .1 .2 .3 .4 .5 .6) ///
			legend(lab(1 "Fall 2013 Test-Takers") lab(2 "Fall 2014 Test-Takers")) ///
			caption(Sample restricted to SABER 11-elegible individuals., size(small)) ///
			ytitle("")
			graph export Fig7A.pdf, replace	
	
	twoway 	(bar rate_hq stratum if ao==20132, fcolor(white) lcolor(black) lwidth(medium) barwidth(0.4)) ///
			(bar rate_hq stratum if ao==20142, color(black) barwidth(0.4)) ///
			, graphregion(color(white)) xtitle(Socioeconomic stratum) ysc(range(0 0.65)) ylab(0 .1 .2 .3 .4 .5 .6) ///
			legend(lab(1 "Fall 2013 Test-Takers") lab(2 "Fall 2014 Test-Takers")) ///
			caption(Sample restricted to SABER 11-elegible individuals., size(small)) ///
			ytitle("")
			graph export Fig7B.pdf, replace

