*===============================================================================*
*																				*
*			THIS DO FILE PRODUCES TABLE I IN THE MAIN TEXT IN					*
* 			LONDONO-VELEZ, RODRIGUEZ AND SANCHEZ 								*
*			"UPSTREAM AND DOWNSTREAM IMPACTS OF COLLEGE MERIT-BASED 			*
* 			FINANCIAL AID FOR LOW-INCOME STUDENTS: SER PILO PAGA				*
* 			IN COLOMBIA", AMERICAN ECONOMIC JOURNAL: ECONOMIC POLICY			*
*																				*
*			LAST MODIFIED: 2019-05-29											*
*																				*
*===============================================================================*

	use "${datadir}/data_RD.dta", clear
	
	keep if icfes_per==20142
	gen one = 1
	
	global res_sisben "eligible_saber11==1" 
	global res_saber11 "eligible_sisben==1"
	
	matrix results = J(27,9,.)
	local oo = 0
	foreach o in icfes_female icfes_age icfes_urm icfes_works icfes_famsize ///
		icfes_educm1 icfes_educm2 icfes_educm3 icfes_educm4 ///
		icfes_educp1 icfes_educp2 icfes_educp3 icfes_educp4 ///
		icfes_stratum1 icfes_stratum2 icfes_stratum3 icfes_stratum4 icfes_stratum5 icfes_stratum6 ///
		icfes_schoolsch1 icfes_schoolsch2 icfes_schoolsch3 icfes_schoolsch4 icfes_schoolsch5 ///
		icfes_privatehs{
		qui: sum `o'
		matrix results[1+`oo',1]=r(mean)
		local rr = 1
		foreach r in saber11 sisben{
			cap drop f_`r'
			gen f_`r'=(1-beneficiary_spp)*(eligible_`r'==1)
			qui: sum `o' if ${res_`r'}
			matrix results[1+`oo',1+`rr']=r(mean)
			cap drop comp_`o'
			cap drop nt_`o'
			gen comp_`o'=`o'*beneficiary_spp
			gen nt_`o'=`o'*(1-beneficiary_spp)*(eligible_`r'==1)
			qui: sum one if comp_`o'!=0 &  comp_`o'!=.
			local aux = r(sum)
			if `aux'>6 qui: rdrobust comp_`o' running_`r' if ${res_`r'}, fuzzy(beneficiary_spp)
			if `aux'>6 qui: qui: sum `o' if ${res_`r'} & abs(running_`r')<=e(h_l)
			if `aux'>6 qui: matrix results[1+`oo',2+`rr']=r(mean)
			if `aux'>6 qui:  matrix results[1+`oo',3+`rr']=round(e(tau_bc),0.001)
			qui: rdrobust nt_`o' running_`r' if ${res_`r'}, fuzzy(f_`r')
			matrix results[1+`oo',4+`rr']=round(e(tau_bc),0.001)	
		local rr = `rr'+4
		}
	local oo = `oo'+1
	}
	qui: sum one
	matrix results[27,1]=r(sum)	
	qui: sum one if ${res_saber11}
	matrix results[27,2]=r(sum)
	qui: sum one if ${res_sisben}
	matrix results[27,6]=r(sum)
	matrix list results
	svmat results
	keep results*
	drop if _n>27
	rename results1 all
	rename results2 sb11_sisben_eli
	rename results3 sb11_bandwidth
	rename results4 sb11_compliers
	rename results5 sb11_nevertreated
	rename results6 sisben_sb11_eli
	rename results7 sisben_bandwidth
	rename results8 sisben_compliers
	rename results9 sisben_nevertreated
	export excel using tables, sheet("compliers_analysis") sheetmod firstrow(variables)
