*===============================================================================*
*																				*
*			THIS DO FILE PRODUCES TABLE II IN THE MAIN TEXT IN					*
* 			LONDONO-VELEZ, RODRIGUEZ AND SANCHEZ 								*
*			"UPSTREAM AND DOWNSTREAM IMPACTS OF COLLEGE MERIT-BASED 			*
* 			FINANCIAL AID FOR LOW-INCOME STUDENTS: SER PILO PAGA				*
* 			IN COLOMBIA", AMERICAN ECONOMIC JOURNAL: ECONOMIC POLICY			*
*																				*
*			LAST MODIFIED: 2019-05-29											*
*																				*
*===============================================================================*

	use "${datadir}/data_RD.dta", clear
	
	keep if icfes_per==20142
	
	global controls "icfes_female icfes_age icfes_urm icfes_works icfes_famsize icfes_educm2 icfes_educm3 icfes_educm4 icfes_educp2 icfes_educp3 icfes_educp4 icfes_stratum2 icfes_stratum3 icfes_stratum4 icfes_stratum5 icfes_stratum6 icfes_schoolsch2 icfes_schoolsch3 icfes_schoolsch4 icfes_schoolsch5 icfes_privatehs"
	global running_saber11 "running_saber11 if eligible_sisben==1"
	global running_sisben "running_sisben if eligible_saber11==1"
	
	matrix results = J(14,7,.)
	local rr = 0
	foreach r in running_saber11 running_sisben{
	local oo = 0
	foreach o in spadies_any spadies_hq spadies_hq_pri spadies_hq_pub ///
		spadies_lq spadies_lq_pri spadies_lq_pub{
	qui: rdrobust `o' ${`r'}
	matrix results[1+`rr',1+`oo']=round(e(tau_bc),0.001)
	matrix results[2+`rr',1+`oo']=round(e(se_tau_rb),0.001)
	matrix results[3+`rr',1+`oo']=round(e(tau_bc_l),0.001)
	matrix results[4+`rr',1+`oo']=round(e(N),0.001)
	matrix results[5+`rr',1+`oo']=round(e(h_l),0.001)
	matrix results[6+`rr',1+`oo']=round(e(N_h_l),0.001)
	matrix results[7+`rr',1+`oo']=round(e(N_h_r),0.001)
	local oo = `oo'+1
	}
	local rr = `rr'+7
	}
	matrix list results
	svmat results
	keep results*
	drop if _n>14
	rename results1 any
	rename results2 hq
	rename results3 hq_pri
	rename results4 hq_pub
	rename results5 lq
	rename results6 lq_pri
	rename results7 lq_pub
	export excel using tables, sheet("access") sheetmod firstrow(variables)

	
	
