*===============================================================================*
*																				*
*			THIS DO FILE PRODUCES THE RESULTS IN 								*
* 			LONDONO-VELEZ, RODRIGUEZ AND SANCHEZ 								*
*			"UPSTREAM AND DOWNSTREAM IMPACTS OF COLLEGE MERIT-BASED 			*
* 			FINANCIAL AID FOR LOW-INCOME STUDENTS: SER PILO PAGA				*
* 			IN COLOMBIA", AMERICAN ECONOMIC JOURNAL: ECONOMIC POLICY			*
*																				*
*			LAST MODIFIED: 2019-05-29											*
*																				*
*===============================================================================*

clear		all
set			more off
set			maxvar 10000

/*			SET PATHS. To run, modify these paths in the obvious way			*/

global		rootdir		"/Users/julianalondono-velez/Dropbox/EvaluacionSPP/submissions/AEJ-Policy/Resubmission3/LondonoVelezRodriguezSanchez"
global		codedir		"${rootdir}/ReplicationCode/Code"						// the folder that has this code in it.
global		datadir		"${rootdir}/ReplicationCode/Data"						// the folder you have the replication data in.
global		figtabledir	"${rootdir}/Figures&Tables"								// the folder you want to save the figures and tables into

cd "${figtabledir}"

*-------------------------------------------------------------------------------*
*			FIGURES																*
*-------------------------------------------------------------------------------*


/*			Figure 1: SPP Eligibility Conditions								*/

do			"${codedir}/F1.do"

/*			Figures 3, 4, 6 & 8: Multiple RD Figures							*/

do			"${codedir}/F3_F4_F6_F8.do"

/*			Figure 5: Placebo Test Using Pre-Treatment Period					*/

do			"${codedir}/F5.do"

/*			Figure 7: The Enrollment Gap Disappeared Among Top Studens			*/

do			"${codedir}/F7.do"

/*			Figures 9-12: Multiple DD Figures									*/

do			"${codedir}/F9_F10_F11_F12.do"

/*			Figure 13: Gains in Test Performance for Low-Income Students		*/

do			"${codedir}/F13.do"


*-------------------------------------------------------------------------------*
*			TABLES																*
*-------------------------------------------------------------------------------*


/*			Table 1: Characterization of Compliers and Never Takers			*/

do			"${codedir}/T1.do"

/*			Table 2: Immediate Enrollment in Postsecondary Education		*/

do			"${codedir}/T2.do"
 
